program NoFormsProject;

uses
  XClasses in '..\XClasses.pas',
  XApplets in '..\XApplets.pas',
  XWindows in '..\XWindows.pas',
  XStrUtils in '..\XStrUtils.pas',
  Windows,
  messages,
  XControls in '..\XControls.pas',
  XForms in '..\XForms.pas',
  XAligns in '..\XAligns.pas',
  XFormAutoSize in '..\XFormAutoSize.pas',
  XVisuals in '..\XVisuals.pas',
  XControlAutoPlace in '..\XControlAutoPlace.pas',
  XCanvases in '..\XCanvases.pas',
  XCanvasObjects in '..\XCanvasObjects.pas',
  XGraphics in '..\XGraphics.pas',
  XRotateFonts in '..\XRotateFonts.pas',
  XFocusDrawing in '..\XFocusDrawing.pas',
  XMouseEvents in '..\XMouseEvents.pas',
  XKeyboardEvents in '..\XKeyboardEvents.pas',
  XTimers in '..\XTimers.pas',
  XMFCControls in '..\XMFCControls.pas',
  XMfcAntiFlick in '..\XMfcAntiFlick.pas';


{$R *.RES}

type
  XObject = class
private
public
   constructor Create;
   procedure LookMouseMove( var Msg : TMsg; var Rslt : Integer; var Handled : Boolean );
   procedure Timer1( Sender : TObject );
end;

//var W1, W2 : XForm;
var L1, L2, L3 : XLabel;
    Bv1, Bv2, Bv3 : XBevel;
    Pn1, Pn2 : XPanel;
    Gr1 : XGroup;
    //CB1 : XCheckBox;
    R1, R2, R3
       : XRadio;
    C1 : XCheck;
    Bt1, Bt2 : XButton;
    O : XObject;
    T : XTimer;

    WL1 : XWLabel;

constructor XObject.Create;
begin
  inherited;
  Applet.OnMessage := LookMouseMove;
  T := XTimer.Create;
  T.OnTimer := Timer1;
  T.Enabled := True;
end;

procedure XObject.LookMouseMove( var Msg : TMsg; var Rslt : Integer; var Handled : Boolean );
var P : TPoint;
begin
   if Msg.message = WM_MOUSEMOVE then
   begin
      GetCursorPos( P );
      L1.Caption := 'x: ' + Int2Str( P.x ) + '   y: ' + Int2Str( P.y );
   end;
end;

var Counter2 : Integer;

procedure XObject.Timer1(Sender: TObject);
begin
   Inc( Counter2 );
   L2.Caption := Int2Str( Counter2 );
end;

begin
  DefFontName := 'Times';
  DefFontHeight := 20;
  Applet := XApplet.Create;
  Applet.Caption := 'Applet';
  //Applet.Visible := False;


  UseControlAutoPlace;
  UseFontRotator;

  UseAligner;
  UseFormAutoSize;

  //Applet.NewWindow;
  UseFocusPainter;
  UseStdMouse;
  UseKeyboard;

  UseMfcAntiFlicker;
  
  XForm.Create( Applet );
  Applet.MainWindow.BoundsRect := XRect( 0, 120, 200, 121 );
  //Applet.MainWindow.ClsStyle :=  Applet.MainWindow.ClsStyle or CS_NOCLOSE;
  //Applet.MainWindow.Style := WS_VISIBLE or WS_CLIPCHILDREN or WS_CLIPSIBLINGS or
  //           WS_CAPTION or WS_SYSMENU {or WS_MINIMIZEBOX {or WS_MAXIMIZEBOX} or
  //           WS_BORDER {or WS_THICKFRAME}{or} {WS_OVERLAPPEDWINDOW};
  //Applet.MainWindow.ExStyle := Applet.MainWindow.ExStyle or WS_EX_TOOLWINDOW;
  L1 := NewLabel( Applet.MainWindow, 'Label1', 0, 0 );

  Bv1 := XBevel.Create( Applet.MainWindow );
  ////Bv1.Place( L1, ppBottom, True );
  Bv1.BevelEdges := [ beLeft, beTop, beRight, beBottom ];
  //Bv1.BevelInner := bvRaised;
  //Bv1.BevelOuter := bvLowered;

  L2 := NewLabel( Bv1, 'Label2', 0, 0 );

  Pn1 := XPanel.Create( Applet.MainWindow );
  //Pn1.BoundsRect := XRect( Bv1.Left + Bv1.Width + 4, 4, 160, 40 );
  Pn1.Align := alRight;

  //Pn1.Place( Bv1, ppRight, False );
  //Pn1.Place( L1, ppRight, True );

  Pn1.Caption := 'Panel1';
  Pn1.Layout := plTopRight;
  Pn1.Width := 200;
  //Pn1.Color := clLime;

  Bv2 := XBevel.Create( Pn1 );
  //Bv2.Color := clYellow;
  Bv2.Width := 64;
  ////Bv2.Position := XPoint( 4, 4 );

  Pn2 := XPanel.Create( Pn1 );
  //Pn2.Place( Bv2, ppBottom, True );
  Pn2.BevelOuter := bvLowered;
  //Pn2.Color := clRed;
  Pn2.Caption := 'Panel2';
  Pn2.Width := 100;

  L3 := NewLabel( Bv2, 'Label3', 0, 0 );
  L3.Font.Orientation := 450 + 2700;
  //L3.Font.Name := 'Arial';
  //L3.Color := clAqua;

  Gr1 := XGroup.Create( Applet.MainWindow );

  Gr1.Caption := 'Group1';

  //Gr1.Place( Pn1, ppRight, True );
  //Gr1.Color := clMaroon;
  Gr1.Layout := glLeftCenter;
  //Gr1.Font.Name := 'Arial';

  C1 := XCheck.Create( Gr1 );
  C1.Caption := 'Check1';

  Bv3 := XBevel.Create( Gr1 );

  R1 := XRadio.Create( Bv3 );
  R1.Caption := 'Radio1';

  R2 := XRadio.Create( Bv3 );
  R2.Caption := 'Radio2';

  R3 := XRadio.Create( Gr1 );
  R3.Caption := 'Radio3';
  R3.Layout := blTop;
  //R3.Font.Name := 'Times';

  //RB1.BevelColor := $80C080;
  R1.Checked := True;
  Bv3.Width := 6;
  //Bv3.Height := 6;

  Bt1 := XButton.Create( Pn2 );
  Bt1.Caption := 'Button1';
  //Bt1.Color := clWhite;
  Bt2 := XButton.Create( Pn2 );
  Bt2.Caption := 'Button2';
  Bt2.Fixed := True;
  {}
  Applet.MainWindow.Caption := 'Main';

  WL1 := XWLabel.Create( Applet.MainWindow );
  WL1.Font.Color := Color2RGB( clRED );
  WL1.Font.Name := 'Courier';
  WL1.Font.Height := 40;
  WL1.Color := Color2RGB( clYellow );
  WL1.Caption := 'WinLabel1';
  //WL1.Font.Orientation := 90;
  //WL1.CreateWindow;


  Applet.MainWindow.Show;
  O := XObject.Create;
  (Applet.MainWindow as XForm).Autosize := False;
  {
  Applet.MainWindow.Width := 100;
  Applet.MainWindow.Height := 100;
  }

  {
  W2 := Applet.NewWindow;
  W2.Caption := 'Slave';
  W2.Show;
  }

  Applet.Run;
  O.Free;
end.
